<?php
require '../packages/vendor/autoload.php'; // We'll need to install PhpSpreadsheet

use PhpOffice\PhpSpreadsheet\IOFactory;
use PhpOffice\PhpSpreadsheet\Spreadsheet;

header('Content-Type: application/json');

try {
    // Get form data
    $data = json_decode(file_get_contents('php://input'), true);
    
    if (!$data) {
        throw new Exception('No data received');
    }

    // Load the existing Excel file
    $spreadsheet = IOFactory::load('The Knot Guest List Template.xlsx');
    $worksheet = $spreadsheet->getActiveSheet();
    
    // Find the next empty row
    $highestRow = $worksheet->getHighestRow();
    $nextRow = $highestRow + 1;

    // Combine guest name and plus one for column C
    $guestName = $data['firstName'] . ' ' . $data['lastName'];
    if (!empty($data['plusOneFirstName']) && !empty($data['plusOneLastName'])) {
        $guestName .= ' & ' . $data['plusOneFirstName'] . ' ' . $data['plusOneLastName'];
    }

    // Add the new data
    $worksheet->setCellValue('C' . $nextRow, $guestName);
    $worksheet->setCellValue('D' . $nextRow, $data['phone']);
    $worksheet->setCellValue('E' . $nextRow, $data['email']);

    // Save the file
    $writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
    $writer->save('The Knot Guest List Template.xlsx');

    echo json_encode(['success' => true, 'message' => 'RSVP saved successfully']);
} catch (Exception $e) {
    http_response_code(500);
    echo json_encode(['success' => false, 'message' => $e->getMessage()]);
}
?> 